package user

import (
	"duoduo/models/mysql"
	"duoduo/models/user"
	"duoduo/tools/app"
	"github.com/gin-gonic/gin"
)

func OrderGet(c *gin.Context) {
	var inData user.OrderGetRequest
	var orderOpneId mysql.Order

	var pageSize = 10
	var pageIndex = 1

	err := c.ShouldBindJSON(&inData)
	if err != nil {
		app.Error(c, 400, err, err.Error())
		return
	}

	if inData.PageSize != 0 {
		pageSize = inData.PageSize
	}
	if inData.PageIndex != 0 {
		pageIndex = inData.PageIndex
	}

	orderOpneId.OpenId = inData.OpenId
	orderVal, count, err := orderOpneId.GetOrderOpenIdList(pageSize, pageIndex, inData.UserStatus)
	if err != nil {
		app.Error(c, 500, err, err.Error())
		return
	}

	app.PageOK(c, orderVal, count, pageIndex, pageSize, app.Success)
}
